cURL
curl --request PATCH \ --url https://api.blockradar.co/v1/wallets/{walletId}/virtual-accounts/{id} \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "accountName": "Luthfulahi Oseni Olaitan", "accountNumber": "O157014962" } '
{ "data": { "accountName": "luthfulah osen", "accountNumber": "9018927611", "address": null, "bankCode": "076", "bankName": "Polaris Bank", "createdAt": "2025-11-06T18:30:34.286Z", "currency": "NGN", "customer": { "createdAt": "2025-11-06T18:30:34.286Z", "email": "[email protected]", "id": "caa17eb8-4da8-45b4-a866-81dd0a1df613", "name": "luthfulah osen", "network": "mainnet", "phone": "+2348161846125", "status": "ACTIVE", "updatedAt": "2025-11-06T18:30:34.286Z" }, "id": "8180309e-1ead-4a72-a013-b5674600ce4c", "isActive": false, "reference": "20", "status": "INACTIVE", "type": "AUTO_FUNDING", "updatedAt": "2025-11-06T18:39:45.399Z", "wallet": { "address": "0xD8582C57E56Ef45f9fe82870aDF63d9baB89e1F7", "configurations": null, "createdAt": "2024-05-27T19:33:42.377Z", "derivationPath": "m/44'/60'/0'/0/11", "description": "This is Base wallet", "id": "35e964a6-436a-424f-bf3a-618cc060feea", "isActive": true, "name": "Base Wallet", "network": "mainnet", "status": "ACTIVE", "updatedAt": "2024-05-27T19:33:42.377Z" } }, "message": "Virtual account updated successfully", "statusCode": 200 }
This endpoint is used to update a virtual account status within a specific master wallet.
Auto-Funding Behavior:
"YOUR_WALLET_ID"
"VIRTUAL_ACCOUNT_ID"
"Luthfulahi Oseni Olaitan"
"O157014962"
200
Show child attributes
"Virtual account updated successfully"